## org.apache.lucene.codecs.compressing
Class FastDecompressionCompressingCodec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.FilterCodec
              org.apache.lucene.codecs.compressing.CompressingCodec
                  org.apache.lucene.codecs.compressing.FastDecompressionCompressingCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class FastDecompressionCompressingCodec

extends CompressingCodec

CompressionCodec that uses `CompressionMode.FAST_DECOMPRESSION`

Field Summary

Fields inherited from class org.apache.lucene.codecs.FilterCodec
`delegate`

Constructor Summary
`FastDecompressionCompressingCodec()` Default constructor.
`FastDecompressionCompressingCodec(int chunkSize, boolean withSegmentSuffix)` Constructor that allows to configure the chunk size.

Method Summary
`DocValuesFormat` `docValuesFormat()`
`NormsFormat` `normsFormat()`

Methods inherited from class org.apache.lucene.codecs.compressing.CompressingCodec
`randomInstance, randomInstance, randomInstance, storedFieldsFormat, termVectorsFormat, toString`

Methods inherited from class org.apache.lucene.codecs.FilterCodec
`fieldInfosFormat, liveDocsFormat, postingsFormat, segmentInfoFormat`

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FastDecompressionCompressingCodec

    public FastDecompressionCompressingCodec(int chunkSize,
                                             boolean withSegmentSuffix)

  Constructor that allows to configure the chunk size.

### FastDecompressionCompressingCodec

    public FastDecompressionCompressingCodec()

  Default constructor.

Method Detail

### normsFormat

    public NormsFormat normsFormat()

  Overrides:
    `normsFormat` in class `FilterCodec`

### docValuesFormat

    public DocValuesFormat docValuesFormat()

  Overrides:
    `docValuesFormat` in class `FilterCodec`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.